php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #60864 pdflib not working with PHP 5.3.9
Submitted: 2012-01-24 01:06 UTC Modified: 2012-06-06 11:34 UTC
Votes:3
Avg. Score:4.3 ± 0.9
Reproduced:3 of 3 (100.0%)
Same Version:1 (33.3%)
Same OS:2 (66.7%)
From: tessus@php.net Assigned: rjs (profile)
Status: Closed Package: pdflib (PECL)
PHP Version: 5.3.9 OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: tessus@php.net
New email:
PHP Version: OS:

 

 [2012-01-24 01:06 UTC] tessus@php.net
Description:
------------
Environment: pdflib 2.1.8 / php 5.3.9

I usually compile pdflib statically into PHP and there are no problems with PHP 5.3.8.
I can see it in the phpinfo() output and in php -m.

When I do the same thing with PHP 5.3.9, there is no pdf output in 'php -m'
nor phpinfo().

I just wanted to mention this, because there are no compile errors and I even
see the reference to the pdflib library with ldd.
But for some reason it is still not available within php (cli and apache module).

I've been compiling the pdf extension statically into PHP for years now and I
never had a problem.

I can send you the steps how I compile it, but I guess that this is rather
useless, since it always worked until php 5.3.9.

1) extract the pecl module in the ext dir
2) rename ext/pdflib-2.1.8 to ext/pdf
3) rm configure
4) buildconf --force
5) ./configure --prefix=/usr/local/php --with-config-file-path=/etc
--with-apxs2=/usr/local/apache/bin/apxs --with-pdflib=/usr/local/pdflib
6) make clean
7) make install

There are no errors during compile/install or running php. It is just not
there, although I can see that the ext/pdf/pdf.lo file has been linked to the
cli and the apache module.

I also tried to compile pdflib as a shared module and this does not work either.
After changing the php.ini to point to the extension directory where pdf.so is located and adding extension=pdf.so, I get the following error message:

./php --re pdf
PHP Warning:  PHP Startup: Invalid library (maybe not a PHP library) 'pdf.so' in Unknown on line 0
Exception: Extension pdf does not exist

So with 5.3.9 neither a statically nor a shared pdf library works.
With 5.3.8, everything works fine and as expected.

Please let me know, if you need any additional information.

Expected result:
----------------
The pdf extension should be active and shown in phpinfo.

Actual result:
--------------
please see description above...

Patches

pdf7.c.patch (last revision 2012-04-12 17:07 UTC by tessus@php.net)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-04-12 13:30 UTC] alan at madrooster dot com
I can confirm this bug exists on php 5.3.9 and php 5.3.10. I can also confirm it works fine on 5.3.8.
 [2012-04-12 17:06 UTC] tessus@php.net
I have added a small patch to this bug report that fixes the issue for 5.3.9 and 5.3.10. It also works for 5.4.0.
 [2012-04-12 17:07 UTC] tessus@php.net
The following patch has been added/updated:

Patch Name: pdf7.c.patch
Revision:   1334250426
URL:        https://bugs.php.net/patch-display.php?bug=60864&patch=pdf7.c.patch&revision=1334250426
 [2012-06-06 11:34 UTC] rjs@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: rjs
 [2012-06-06 11:34 UTC] rjs@php.net
Prepared a new PECL Package (2.1.9) including the fix for this.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sun Jan 19 04:01:23 2020 UTC